## libtheora 0.0.0.alpha3

=== doc/spec/Makefile ===
# makefile to generate the spec document from it sources
# requires transfig and pdflatex

# Alias some shell commands, so we might have a chance of running on non-Unix
#  platforms some day.
MV = mv
RM = rm -f

SPEC_SRCS = spec.tex spec.bib

FIG_SRCS = pic-frame.fig hilbert-mb.fig hilbert-block.fig xifish.fig \
           superblock.fig macroblock.fig raster-block.fig reference-frames.fig \
           pixel444.fig pixel422.fig pixel420.fig idct.fig fdct.fig

FIG_TEXS = $(FIG_SRCS:.fig=.tex)
FIG_AUXS = $(FIG_SRCS:.fig=.aux)

FIG_OBJS = pic-frame.tex hilbert-mb.tex hilbert-block.tex xifish.pdf \
           superblock.tex macroblock.tex raster-block.tex reference-frames.tex \
           pixel444.tex pixel422.tex pixel420.tex idct.pdf fdct.pdf

Theora_I_spec.pdf : spec.pdf
	$(MV) $< $@

spec.pdf : $(SPEC_SRCS) $(FIG_OBJS) spec.bbl
	# three times is the charm with references
	pdflatex --interaction nonstopmode spec.tex
	pdflatex --interaction nonstopmode spec.tex
	pdflatex --interaction nonstopmode spec.tex

spec.aux : spec.tex
	#Long tables require the .aux file to start from scratch
	-rm spec.aux
	pdflatex --interaction nonstopmode $<

spec.bbl : spec.aux spec.bib
	bibtex $<

figures : $(FIG_OBJS)

# rule to generate latex versions of the xfig figures
%.tex : %.fig
	fig2dev -L latex $< $@

%.pdf : %.fig
	fig2dev -L pdf $< $@

.PHONY: clean distclean maintainer-clean

# clean targets
clean:
	-$(RM) $(FIG_TEXS)
	-$(RM) $(FIG_AUXS)
	-$(RM) spec.pdf
	-$(RM) spec.aux
	-$(RM) spec.log
	-$(RM) spec.out
	-$(RM) spec.bbl
	-$(RM) spec.blg
	-$(RM) spec.toc

distclean: clean

maintainer-clean: distclean
	-$(RM) Theora_I_spec.pdf

maintainerclean: maintainer-clean

## libtheora 0.0.0.alpha4

=== doc/spec/Makefile ===
# makefile to generate the spec document from it sources
# requires transfig and pdflatex

# Alias some shell commands, so we might have a chance of running on non-Unix
#  platforms some day.
MV = mv
RM = rm -f

SPEC_SRCS = spec.tex spec.bib

FIG_SRCS = pic-frame.fig hilbert-mb.fig hilbert-block.fig xifish.fig \
           superblock.fig macroblock.fig raster-block.fig reference-frames.fig \
           pixel444.fig pixel422.fig pixel420.fig idct.fig fdct.fig \
           pic_even.fig pic_even_odd.fig pic_odd.fig pic_odd_even.fig

FIG_TEXS = $(FIG_SRCS:.fig=.tex)
FIG_AUXS = $(FIG_SRCS:.fig=.aux)
FIG_PDFS = $(FIG_SRCS:.fig=.pdf)

# add any native-pdf figures here
FIG_OJBS = $(FIG_PDFS)

Theora_I_spec.pdf : spec.pdf
	$(MV) $< $@

spec.pdf : $(SPEC_SRCS) $(FIG_OBJS) vp3huff.tex spec.bbl
	# three times is the charm with references
	pdflatex --interaction nonstopmode spec.tex
	pdflatex --interaction nonstopmode spec.tex
	pdflatex --interaction nonstopmode spec.tex

spec.aux : spec.tex
	#Long tables require the .aux file to start from scratch
	-$(RM) spec.aux
	pdflatex --interaction nonstopmode $<

spec.bbl : spec.aux spec.bib
	bibtex $<

vp3huff.tex : vp3huff
	./vp3huff > $@

figures : $(FIG_OBJS)

# rules to generate latex and pdf versions of the xfig figures
%.tex : %.fig
	fig2dev -L latex $< $@

%.pdf : %.fig
	fig2dev -L pdf -p 0 $< $@

.PHONY: clean distclean maintainer-clean

# clean targets
clean:
	-$(RM) $(FIG_TEXS)
	-$(RM) $(FIG_AUXS)
	-$(RM) $(FIG_PDFS)
	-$(RM) vp3huff
	-$(RM) vp3huff.tex
	-$(RM) vp3huff.aux
	-$(RM) spec.aux
	-$(RM) spec.log
	-$(RM) spec.lof
	-$(RM) spec.lot
	-$(RM) spec.out
	-$(RM) spec.bbl
	-$(RM) spec.blg
	-$(RM) spec.toc

distclean: clean

maintainer-clean: distclean
	-$(RM) Theora_I_spec.pdf

maintainerclean: maintainer-clean

## libtheora 1.0~beta3

=== SConstruct ===
# SCons build specification
# see http://www.scons.org if you do not have this tool
from os.path import join
import SCons

# TODO: should use lamda and map to work on python 1.5
def path(prefix, list): return [join(prefix, x) for x in list]

encoder_sources = """
        enc/dct_encode.c
        enc/encapiwrapper.c
        enc/encode.c
        enc/encoder_huffman.c
        enc/encoder_idct.c
        enc/encoder_toplevel.c
        enc/encoder_quant.c
        enc/blockmap.c
        enc/dct.c
        enc/dct_decode.c
        enc/frarray.c
        enc/frinit.c
        enc/mcomp.c
        enc/misc_common.c
        enc/pb.c
        enc/pp.c
        enc/reconstruct.c
        enc/scan.c
        enc/dsp.c
"""

decoder_sources = """
        dec/apiwrapper.c \
	dec/bitwise.c \
        dec/decapiwrapper.c \
        dec/decinfo.c \
        dec/decode.c \
        dec/dequant.c \
        dec/fragment.c \
        dec/huffdec.c \
        dec/idct.c \
        dec/info.c \
        dec/internal.c \
        dec/quant.c \
        dec/state.c
"""

libtheoradec_Sources = Split(decoder_sources + "cpu.c")
libtheoraenc_Sources = Split(encoder_sources + "cpu.c")
libtheora_Sources = Split(decoder_sources + encoder_sources + "cpu.c")

env = Environment()
if env['CC'] == 'gcc':
  env.Append(CCFLAGS=["-g", "-O2", "-Wall"])
#  env.Append(CCFLAGS=["-g", "-Wall"])

def CheckPKGConfig(context, version): 
  context.Message( 'Checking for pkg-config... ' ) 
  ret = context.TryAction('pkg-config --atleast-pkgconfig-version=%s' % version)[0] 
  context.Result( ret ) 
  return ret 

def CheckPKG(context, name): 
  context.Message( 'Checking for %s... ' % name )
  ret = context.TryAction('pkg-config --exists %s' % name)[0]
  context.Result( ret ) 
  return ret
     
def CheckSDL(context):
  name = "sdl-config"
  context.Message( 'Checking for %s... ' % name )
  ret = SCons.Util.WhereIs('sdl-config')
  context.Result( ret ) 
  return ret

# check for appropriate inline asm support
host_x86_32_test = """
    int main(int argc, char **argv) {
#if !defined(__i386__)
  #error __i386__ not defined
#endif
  return 0;
    }
    """
def CheckHost_x86_32(context):
  context.Message('Checking for an x86_32 host...')
  result = context.TryCompile(host_x86_32_test, '.c')
  context.Result(result)
  return result

host_x86_64_test = """
    int main(int argc, char **argv) {
#if !defined(__x86_64__)
  #error __x86_64__ not defined
#endif
  return 0;
    }
    """
def CheckHost_x86_64(context):
  context.Message('Checking for an x86_64 host...')
  result = context.TryCompile(host_x86_64_test, '.c')
  context.Result(result)
  return result

conf = Configure(env, custom_tests = {
  'CheckPKGConfig' : CheckPKGConfig,
  'CheckPKG' : CheckPKG,
  'CheckSDL' : CheckSDL,
  'CheckHost_x86_32' : CheckHost_x86_32,
  'CheckHost_x86_64' : CheckHost_x86_64,
  })
  
if not conf.CheckPKGConfig('0.15.0'): 
   print 'pkg-config >= 0.15.0 not found.' 
   Exit(1)

if not conf.CheckPKG('ogg'): 
  print 'libogg not found.' 
  Exit(1) 

if conf.CheckPKG('vorbis vorbisenc'):
  have_vorbis=True
else:
  have_vorbis=False

if conf.CheckPKG('libpng'):
  have_libpng=True
else:
  have_libpng=False
  
build_player_example=True
if not conf.CheckHeader('sys/soundcard.h'):
  build_player_example=False
if build_player_example and not conf.CheckSDL():
  build_player_example=False

if conf.CheckHost_x86_32():
  libtheora_Sources += Split("""
        dec/x86/mmxidct.c
        dec/x86/mmxfrag.c
        dec/x86/mmxstate.c
        dec/x86/x86state.c
	enc/x86_32/dct_decode_mmx.c
	enc/x86_32/dsp_mmx.c
	enc/x86_32/dsp_mmxext.c
	enc/x86_32/recon_mmx.c
	enc/x86_32/idct_mmx.c
	enc/x86_32/fdct_mmx.c
  """)
elif conf.CheckHost_x86_64():
  libtheora_Sources += Split("""
        dec/x86/mmxidct.c
        dec/x86/mmxfrag.c
        dec/x86/mmxstate.c
        dec/x86/x86state.c
	enc/x86_64/dct_decode_mmx.c
	enc/x86_64/dsp_mmx.c
	enc/x86_64/dsp_mmxext.c
	enc/x86_64/recon_mmx.c
	enc/x86_64/idct_mmx.c
	enc/x86_64/fdct_mmx.c
  """)
env = conf.Finish()

env.Append(CPPPATH=['lib', 'include', 'lib/enc'])
env.ParseConfig('pkg-config --cflags --libs ogg')

libtheoradec_a = env.Library('lib/theoradec',
	path('lib', libtheoradec_Sources))
libtheoradec_so = env.SharedLibrary('lib/theoradec',
	path('lib', libtheoradec_Sources))

libtheoraenc_a = env.Library('lib/theoraenc',
	path('lib', libtheoraenc_Sources))
libtheoraenc_so = env.SharedLibrary('lib/theoraenc',
	path('lib', libtheoraenc_Sources))

libtheora_a = env.Library('lib/theora',
	path('lib', libtheora_Sources))
libtheora_so = env.SharedLibrary('lib/theora',
	path('lib', libtheora_Sources))

#installing
prefix='/usr'
lib_dir = prefix + '/lib'
env.Alias('install', prefix)
env.Install(lib_dir, [libtheora_a, libtheora_so])
env.Install(lib_dir, [libtheoradec_a, libtheoradec_so])

# example programs
dump_video = env.Copy()
dump_video_Sources = Split("""dump_video.c ../lib/libtheora.a""")
dump_video.Program('examples/dump_video', path('examples', dump_video_Sources))

if have_vorbis:
  encex = dump_video.Copy()
  encex.ParseConfig('pkg-config --cflags --libs vorbisenc vorbis')
  encex_Sources = Split("""encoder_example.c
	../lib/libtheoraenc.a ../lib/libtheoradec.a""")
  encex.Program('examples/encoder_example', path('examples', encex_Sources))

  if build_player_example:
    plyex = encex.Copy()
    plyex_Sources = Split("""player_example.c ../lib/libtheora.a""")
    plyex.ParseConfig('sdl-config --cflags --libs')
    plyex.Program('examples/player_example', path('examples', plyex_Sources))

png2theora = env.Copy()
png2theora_Sources = Split("""png2theora.c ../lib/libtheora.a""")
png2theora.ParseConfig('pkg-config --cflags --libs libpng')
png2theora.Program('examples/png2theora', path('examples', png2theora_Sources))

=== win32/xmingw32/Makefile ===
# NOTE: This Makefile requires GNU make
# Location to put the targets.
TARGETBINDIR = .
TARGETLIBDIR = .
# DLL version information. Currently this must be updated manually.
# Fields are: major, minor, build number, QFE version
VERSION_FIELD = 1,0,0,0
VERSION_STRING = \\\"1.0\\\"
# Name of the targets
# Hooray for Windows DLL hell.
LIBTHEORAENC_TARGET = libtheoraenc.dll
LIBTHEORAENCD_TARGET = libtheoraencd.dll
LIBTHEORAENC70_TARGET = libtheoraenc70.dll
LIBTHEORAENC70D_TARGET = libtheoraenc70d.dll
LIBTHEORAENC71_TARGET = libtheoraenc71.dll
LIBTHEORAENC71D_TARGET = libtheoraenc71d.dll
LIBTHEORAENC80_TARGET = libtheoraenc80.dll
LIBTHEORAENC80D_TARGET = libtheoraenc80d.dll

LIBTHEORADEC_TARGET = libtheoradec.dll
LIBTHEORADECD_TARGET = libtheoradecd.dll
LIBTHEORADEC70_TARGET = libtheoradec70.dll
LIBTHEORADEC70D_TARGET = libtheoradec70d.dll
LIBTHEORADEC71_TARGET = libtheoradec71.dll
LIBTHEORADEC71D_TARGET = libtheoradec71d.dll
LIBTHEORADEC80_TARGET = libtheoradec80.dll
LIBTHEORADEC80D_TARGET = libtheoradec80d.dll

DUMP_VIDEO_TARGET = dump_video.exe
PLAYER_EXAMPLE_TARGET = player_example.exe
ENCODER_EXAMPLE_TARGET = encoder_example.exe

# The compiler tools to use
CC = i686-mingw32-gcc
RC = i686-mingw32-windres
DLLTOOL = i686-mingw32-dlltool
LD = i686-mingw32-ld
SDLCONFIG = i686-mingw32-sdl-config
# The command to use to generate dependency information
MAKEDEPEND = ${CC} -MM
#MAKEDEPEND = makedepend -f- -Y --

# The location of include files.
# Modify these to point to your Ogg and Vorbis include directories if they are
#  not installed in a standard location.
CINCLUDE = `${SDLCONFIG} --cflags` -D_REENTRANT
# Extra compilation flags.
# You may get speed increases by including flags such as -O2 or -O3 or
#  -ffast-math, or additional flags, depending on your system and compiler.
# The correct -march=<architecture> flag will also generate much better code
#  on newer architectures.
CFLAGS = -Wall -Wno-parentheses -DUSE_ASM
RELEASE_CFLAGS = ${CFLAGS} -mtune=nocona -O3 -fomit-frame-pointer -fforce-addr \
 -finline-functions
# The -g flag will generally include debugging information.
DEBUG_CFLAGS = ${CFLAGS} -g
# Libraries to link with, and the location of library files.
LIBS = -logg -lvorbis -lvorbisenc `${SDLCONFIG} --libs`

# ANYTHING BELOW THIS LINE PROBABLY DOES NOT NEED EDITING
CINCLUDE := -I../../include ${CINCLUDE}
LIBSRCDIR = ../../lib
BINSRCDIR = ../../examples
WORKDIR = objs

# C source file lists

LIBTHEORABASE_CHEADERS = \
internal.h \
dec/apiwrapper.h \
dec/dct.h \
dec/idct.h \
dec/huffman.h \
dec/ocintrin.h \
dec/quant.h \
../include/theora/codec.h \
../include/theora/theora.h \

LIBTHEORADEC_CSOURCES = \
dec/apiwrapper.c \
dec/decapiwrapper.c \
dec/decinfo.c \
dec/decode.c \
dec/dequant.c \
dec/fragment.c \
dec/huffdec.c \
dec/idct.c \
dec/info.c \
dec/internal.c \
dec/quant.c \
dec/state.c \
$(if $(findstring -DUSE_ASM,${CFLAGS}), \
dec/x86/mmxstate.c \
dec/x86/x86state.c \
dec/x86/mmxidct.c \
dec/x86/mmxfrag.c \
cpu.c \
)

LIBTHEORADEC_CHEADERS =   \
${LIBTHEORABASE_CHEADERS} \
dec/apiwrapper.h \
dec/decint.h \
dec/dequant.h \
dec/huffdec.h \

LIBTHEORAENC_CSOURCES = \
dec/internal.c \
enc/blockmap.c \
enc/common.c \
enc/dct.c \
enc/dct_decode.c \
enc/dct_encode.c \
enc/dsp.c \
enc/encode.c \
enc/encoder_huffman.c \
enc/encoder_idct.c \
enc/encoder_quant.c \
enc/encoder_toplevel.c \
enc/frarray.c \
enc/frinit.c \
enc/mcomp.c \
enc/misc_common.c \
enc/pb.c \
enc/pp.c \
enc/reconstruct.c \
enc/scan.c \
$(if $(findstring -DUSE_ASM,${CFLAGS}), \
enc/x86_32/dct_decode_mmx.c \
enc/x86_32/dsp_mmx.c \
enc/x86_32/dsp_mmxext.c \
enc/x86_32/recon_mmx.c \
enc/x86_32/idct_mmx.c \
enc/x86_32/fdct_mmx.c \
cpu.c \
)

LIBTHEORAENC_CHEADERS = \
cpu.h \
enc/block_inline.h \
enc/hufftables.h \
enc/codec_internal.h \
enc/pp.h \
enc/dsp.h \
enc/quant_lookup.h \
enc/encoder_huffman.h \
enc/toplevel_lookup.h \
enc/encoder_lookup.h \


DUMP_VIDEO_CSOURCES = dump_video.c
ENCODER_EXAMPLE_CSOURCES = encoder_example.c
PLAYER_EXAMPLE_CSOURCES = player_example.c

# Create object file list.
LIBTHEORADEC_OBJS:= ${LIBTHEORADEC_CSOURCES:%.c=${WORKDIR}/%.o}
LIBTHEORADECD_OBJS:= ${LIBTHEORADEC_CSOURCES:%.c=${WORKDIR}/%.do}
LIBTHEORAENC_OBJS:= ${LIBTHEORAENC_CSOURCES:%.c=${WORKDIR}/%.o}
LIBTHEORAENCD_OBJS:= ${LIBTHEORAENC_CSOURCES:%.c=${WORKDIR}/%.do}
DUMP_VIDEO_OBJS:= ${DUMP_VIDEO_CSOURCES:%.c=${WORKDIR}/%.o}
ENCODER_EXAMPLE_OBJS:= ${ENCODER_EXAMPLE_CSOURCES:%.c=${WORKDIR}/%.o}
PLAYER_EXAMPLE_OBJS:= ${PLAYER_EXAMPLE_CSOURCES:%.c=${WORKDIR}/%.o}
RC_OBJS:= ${LIBTHEORADEC_TARGET} ${LIBTHEORAENC_TARGET} \
 ${LIBTHEORADECD_TARGET} ${LIBTHEORAENCD_TARGET} \
 ${LIBTHEORADEC70_TARGET} ${LIBTHEORAENC70_TARGET} \
 ${LIBTHEORADEC70D_TARGET} ${LIBTHEORAENC70D_TARGET} \
 ${LIBTHEORADEC71_TARGET} ${LIBTHEORAENC71_TARGET} \
 ${LIBTHEORADEC71D_TARGET} ${LIBTHEORAENC71D_TARGET} \
 ${LIBTHEORADEC80_TARGET} ${LIBTHEORAENC80_TARGET} \
 ${LIBTHEORADEC80D_TARGET} ${LIBTHEORAENC80D_TARGET}
RC_OBJS:= ${RC_OBJS:%.dll=${WORKDIR}/%.rco}
ALL_OBJS:= ${LIBTHEORADEC_OBJS} ${LIBTHEORAENC_OBJS} \
 ${LIBTHEORADECD_OBJS} ${LIBTHEORAENCD_OBJS} ${RC_OBJS} \
 ${DUMP_VIDEO_OBJS} ${ENCODER_EXAMPLE_OBJS} #${PLAYER_EXAMPLE_OBJS}
# Create the dependency file list
ALL_DEPS:= ${ALL_OBJS:%.o=%.d}
ALL_DEPS:= ${ALL_DEPS:%.do=%.dd}
ALL_DEPS:= ${ALL_DEPS:%.rco=%.d}
# Prepend source path to file names.
LIBTHEORADEC_CSOURCES:= ${LIBTHEORADEC_CSOURCES:%=${LIBSRCDIR}/%}
LIBTHEORADEC_CHEADERS:= ${LIBTHEORADEC_CHEADERS:%=${LIBSRCDIR}/%}
LIBTHEORAENC_CSOURCES:= ${LIBTHEORAENC_CSOURCES:%=${LIBSRCDIR}/%}
LIBTHEORAENC_CHEADERS:= ${LIBTHEORAENC_CHEADERS:%=${LIBSRCDIR}/%}
DUMP_VIDEO_CSOURCES:= ${DUMP_VIDEO_CSOURCES:%=${BINSRCDIR}/%}
ENCODER_EXAMPLE_CSOURCES:= ${ENCODER_EXAMPLE_CSOURCES:%=${BINSRCDIR}/%}
PLAYER_EXAMPLE_CSOURCES:= ${PLAYER_EXAMPLE_CSOURCES:%=${BINSRCDIR}/%}
ALL_CSOURCES:= ${LIBTHEORADEC_CSOURCES} ${LIBTHEORAENC_CSOURCES} \
 ${DUMP_VIDEO_CSOURCES} ${ENCODER_EXAMPLE_CSOURCES} \
 ${PLAYER_EXAMPLE_CSOURCES}
LIBTHEORAENC_RCO:= ${WORKDIR}/${LIBTHEORAENC_TARGET:%.dll=%.rco}
LIBTHEORAENCD_RCO:= ${WORKDIR}/${LIBTHEORAENCD_TARGET:%.dll=%.rco}
LIBTHEORAENC70_RCO:= ${WORKDIR}/${LIBTHEORAENC70_TARGET:%.dll=%.rco}
LIBTHEORAENC70D_RCO:= ${WORKDIR}/${LIBTHEORAENC70D_TARGET:%.dll=%.rco}
LIBTHEORAENC71_RCO:= ${WORKDIR}/${LIBTHEORAENC71_TARGET:%.dll=%.rco}
LIBTHEORAENC71D_RCO:= ${WORKDIR}/${LIBTHEORAENC71D_TARGET:%.dll=%.rco}
LIBTHEORAENC80_RCO:= ${WORKDIR}/${LIBTHEORAENC80_TARGET:%.dll=%.rco}
LIBTHEORAENC80D_RCO:= ${WORKDIR}/${LIBTHEORAENC80D_TARGET:%.dll=%.rco}
LIBTHEORADEC_RCO:= ${WORKDIR}/${LIBTHEORADEC_TARGET:%.dll=%.rco}
LIBTHEORADECD_RCO:= ${WORKDIR}/${LIBTHEORADECD_TARGET:%.dll=%.rco}
LIBTHEORADEC70_RCO:= ${WORKDIR}/${LIBTHEORADEC70_TARGET:%.dll=%.rco}
LIBTHEORADEC70D_RCO:= ${WORKDIR}/${LIBTHEORADEC70D_TARGET:%.dll=%.rco}
LIBTHEORADEC71_RCO:= ${WORKDIR}/${LIBTHEORADEC71_TARGET:%.dll=%.rco}
LIBTHEORADEC71D_RCO:= ${WORKDIR}/${LIBTHEORADEC71D_TARGET:%.dll=%.rco}
LIBTHEORADEC80_RCO:= ${WORKDIR}/${LIBTHEORADEC80_TARGET:%.dll=%.rco}
LIBTHEORADEC80D_RCO:= ${WORKDIR}/${LIBTHEORADEC80D_TARGET:%.dll=%.rco}
# Prepand target path to file names.
LIBTHEORAENC_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENC_TARGET}
LIBTHEORAENCD_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENCD_TARGET}
LIBTHEORAENC70_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENC70_TARGET}
LIBTHEORAENC70D_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENC70D_TARGET}
LIBTHEORAENC71_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENC71_TARGET}
LIBTHEORAENC71D_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENC71D_TARGET}
LIBTHEORAENC80_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENC80_TARGET}
LIBTHEORAENC80D_TARGET:= ${TARGETLIBDIR}/${LIBTHEORAENC80D_TARGET}
LIBTHEORADEC_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADEC_TARGET}
LIBTHEORADECD_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADECD_TARGET}
LIBTHEORADEC70_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADEC70_TARGET}
LIBTHEORADEC70D_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADEC70D_TARGET}
LIBTHEORADEC71_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADEC71_TARGET}
LIBTHEORADEC71D_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADEC71D_TARGET}
LIBTHEORADEC80_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADEC80_TARGET}
LIBTHEORADEC80D_TARGET:= ${TARGETLIBDIR}/${LIBTHEORADEC80D_TARGET}
DUMP_VIDEO_TARGET:= ${TARGETBINDIR}/${DUMP_VIDEO_TARGET}
ENCODER_EXAMPLE_TARGET:= ${TARGETBINDIR}/${ENCODER_EXAMPLE_TARGET}
PLAYER_EXAMPLE_TARGET:= ${TARGETBINDIR}/${PLAYER_EXAMPLE_TARGET}
DLL_TARGETS:= ${LIBTHEORADEC_TARGET} ${LIBTHEORAENC_TARGET} \
 ${LIBTHEORADECD_TARGET} ${LIBTHEORAENCD_TARGET} \
 ${LIBTHEORADEC70_TARGET} ${LIBTHEORAENC70_TARGET} \
 ${LIBTHEORADEC70D_TARGET} ${LIBTHEORAENC70D_TARGET} \
 ${LIBTHEORADEC71_TARGET} ${LIBTHEORAENC71_TARGET} \
 ${LIBTHEORADEC71D_TARGET} ${LIBTHEORAENC71D_TARGET} \
 ${LIBTHEORADEC80_TARGET} ${LIBTHEORAENC80_TARGET} \
 ${LIBTHEORADEC80D_TARGET} ${LIBTHEORAENC80D_TARGET}
ALL_TARGETS:= ${DLL_TARGETS} ${DLL_TARGETS:%.dll=%.dll.a} \
 ${DUMP_VIDEO_TARGET} ${ENCODER_EXAMPLE_TARGET} #${PLAYER_EXAMPLE_TARGET}
IMPLIB_TARGETS:= ${DLL_TARGETS:%.dll=%.def} ${DLL_TARGETS:%.dll=%.lib} \
 ${DLL_TARGETS:%.dll=%.exp}

# Targets:
# Everything (default)
all: ${ALL_TARGETS}

# These require Microsoft's lib.exe to build, and so are not made by default.
implibs: ${IMPLIB_TARGETS}

# libtheoradec
${LIBTHEORADEC_TARGET}: ${LIBTHEORADEC_OBJS} ${LIBTHEORADEC_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADEC_OBJS} -logg -lmsvcrt \
         ${LIBTHEORADEC_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def
${LIBTHEORADECD_TARGET}: ${LIBTHEORADECD_OBJS} ${LIBTHEORADECD_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADECD_OBJS} -logg -lmsvcrtd \
         ${LIBTHEORADECD_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def
${LIBTHEORADEC70_TARGET}: ${LIBTHEORADEC_OBJS} ${LIBTHEORADEC70_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADEC_OBJS} -logg -lmsvcr70 \
         ${LIBTHEORADEC70_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def
${LIBTHEORADEC70D_TARGET}: ${LIBTHEORADECD_OBJS} ${LIBTHEORADEC70D_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADECD_OBJS} -logg -lmsvcr70d \
         ${LIBTHEORADEC70D_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def
${LIBTHEORADEC71_TARGET}: ${LIBTHEORADEC_OBJS} ${LIBTHEORADEC71_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADEC_OBJS} -logg -lmsvcr71 \
         ${LIBTHEORADEC71_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def
${LIBTHEORADEC71D_TARGET}: ${LIBTHEORADECD_OBJS} ${LIBTHEORADEC71D_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADECD_OBJS} -logg -lmsvcr71d \
         ${LIBTHEORADEC71D_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def
${LIBTHEORADEC80_TARGET}: ${LIBTHEORADEC_OBJS} ${LIBTHEORADEC80_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADEC_OBJS} -logg -lmsvcr80 \
         ${LIBTHEORADEC80_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def
${LIBTHEORADEC80D_TARGET}: ${LIBTHEORADECD_OBJS} ${LIBTHEORADEC80D_RCO} \
 libtheoradec-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ ${LIBTHEORADECD_OBJS} -logg -lmsvcr80d \
         ${LIBTHEORADEC80D_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoradec-all.def

# libtheoraenc
${LIBTHEORAENC_TARGET}: ${LIBTHEORAENC_OBJS} ${LIBTHEORAENC_RCO} \
 libtheoraenc-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ \
         ${LIBTHEORAENC_OBJS} ${LIBTHEORADEC_TARGET} -logg -lmsvcrt \
         ${LIBTHEORAENC_RCO} \
         -Wl,--output-def,${@:.dll=.def},--out-implib,$@.a,libtheoraenc-all.def
${LIBTHEORAENCD_TARGET}: ${LIBTHEORAENCD_OBJS} ${LIBTHEORAENCD_RCO} \
 libtheoraenc-all.def
	mkdir -p ${TARGETLIBDIR}
	${CC} -shared -o $@ \

## libtheora 1.0.tk1

=== debian/changelog ===
libtheora (1.0.tk1) unstable; urgency=low

  * New upstream version: 1.0.

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 26 Dec 2008 14:02:35 +0200

libtheora (1.0beta3-1.tk1) unstable; urgency=low

  * DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s
  * Removed graphviz dependency.
  * Disabled examples.

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 25 Apr 2008 18:01:35 +0300

libtheora (1.0~beta3-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Wed, 23 Apr 2008 14:08:37 -0400

libtheora (1.0~beta2-4) unstable; urgency=low

  * Build-depend on libpng12-dev and pkg-config, and include
    png2theora in libtheora-bin. closes: #471660.

 -- Clint Adams <schizo@debian.org>  Wed, 19 Mar 2008 11:10:22 -0400

libtheora (1.0~beta2-3) unstable; urgency=low

  * Fix watch file to handle alpha/beta tarballs.
  * Bump to Standards-Version 3.7.3.
  * Add symbols files for alpha, amd64, arm, hppa, hurd-i386, i386, ia64,
    m68k, mips, mipsel, powerpc, s390, and sparc.
  * Build-depend on dpkg (>= 1.14.8).

 -- Clint Adams <schizo@debian.org>  Sun, 06 Jan 2008 00:59:13 -0500

libtheora (1.0~beta2-2) unstable; urgency=low

  * Apply patch from Sebiastien Bacher to enable libtheora-bin
    package.  closes: #452441, #258694, #294457.

 -- Clint Adams <schizo@debian.org>  Thu, 22 Nov 2007 17:48:03 -0500

libtheora (1.0~beta2-1) unstable; urgency=low

  * New upstream beta release.  closes: #446485.
  * Change XS-VCS-Bzr header to VCS-Bzr.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Oct 2007 08:25:38 -0400

libtheora (1.0~beta1-1) unstable; urgency=low

  * New upstream beta release.
    - Remove upstream_r12376-amd64_unpack_comment_crash.diff.
  * Change Source-Version to binary:Version.

 -- Clint Adams <schizo@debian.org>  Sat, 22 Sep 2007 14:56:16 -0400

libtheora (0.0.0.alpha7.dfsg-2) unstable; urgency=medium

  * Add upstream_r12376-amd64_unpack_comment_crash.diff to fix
    64-bit cleanness problem.  closes: #383793.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Jan 2007 11:22:57 -0500

libtheora (0.0.0.alpha7.dfsg-1.1) unstable; urgency=low

  * NMU
  * Remove draft RFC files, as they are not under a free license.
    Closes: #390665
  * Repackage the source package without these files.
  * Add README.Source documenting how the upstream source is repackages.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Oct 2006 17:11:31 -0400

libtheora (0.0.0.alpha7-1) unstable; urgency=low

  * New upstream version (1.0alpha7).

 -- Clint Adams <schizo@debian.org>  Sat, 24 Jun 2006 18:06:53 -0400

libtheora (0.0.0.alpha6-1) unstable; urgency=low

  * New upstream version (1.0alpha6).  closes: #369843. 
  * Bump Standards-Version to 3.7.2.
  * Steal text from the FAQ for libtheora0's description.
    closes: #257100.

 -- Clint Adams <schizo@debian.org>  Sat,  3 Jun 2006 13:37:20 -0400

libtheora (0.0.0.alpha5-1) unstable; urgency=low

  * New upstream version (1.0alpha5).
  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).
  * Bump Standards-Version to 3.6.2.
  * Change patchsys to quilt, and add build-dep on quilt.
  * Update autotools patch for new upstream version.
  * Change build-dep from automake1.6 to automake1.9.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Jan 2006 22:02:56 -0500

libtheora (0.0.0.alpha4-1.1) unstable; urgency=high

  * NMU, because an FTBFS keeps it out from testing
  * fixed the build things (closes: #300422, #290465, #297816)
  * created libtheora-bin package (but disabled it)
  	- since it is only a wishlist and new queue is large enough
        - see debian/control.bin...

 -- RISKO Gergely <risko@debian.org>  Fri,  1 Apr 2005 19:43:07 +0200

libtheora (0.0.0.alpha4-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 21:40:00 -0600

libtheora (0.0.0.alpha3-1) unstable; urgency=low

  * Initial upload to Debian.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 29 Jun 2004 22:00:00 -0500

libtheora (0.0.0-0) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 25 Sep 2002 21:00:00 -0500

=== debian/control ===
Source: libtheora
Section: libs
Priority: optional
Maintainer: Tuomas Kulve <tuomas@kulve.fi>
Build-Depends: autotools-dev, cdbs (>= 0.4.27-3), debhelper (>> 4.0.0), devscripts, libogg-dev (>= 1.1.0), libsdl1.2-dev, libvorbis-dev, python, libtool, automake, quilt, dpkg, libpng12-dev, pkg-config
Standards-Version: 3.7.3
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-xiph/libtheora

Package: libtheora0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: The Theora Video Compression Codec
 Theora is an open video codec being developed by the Xiph.org
 Foundation as part of their Ogg project (It is a project that aims to
 integrate On2's VP3 video codec, Ogg Vorbis audio codec and Ogg
 multimedia container formats into a multimedia solution that can
 compete with MPEG-4 format).  Theora is derived directly from On2's
 VP3 codec; currently the two are nearly identical, varying only in
 framing headers, but Theora will diverge and improve from the main
 VP3 development lineage as time progresses.

Package: libtheora-dev
Architecture: any
Section: libdevel
Depends: libtheora0 (= ${binary:Version}), libogg-dev
Description: The Theora Video Compression Codec (development files)
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains the header files and documentation needed to develop
 applications with libtheora.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/buildcore.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-encode --disable-examples \
			--disable-oggtest --disable-vorbistest \
			 --disable-sdltest --disable-float

# Use vfp.
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp
endif

# Use softfp.
ifneq (,$(findstring softfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfloat-abi=softfp
endif

# Use arm1136j-s.
ifneq (,$(findstring arm1136j-s,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mcpu=arm1136j-s
endif

common-configure-arch common-configure-indep:: debian/stamp-autotools-files
debian/stamp-autotools-files:
	$(DEB_BUILDDIR)/autogen.sh
	touch debian/stamp-autotools-files

binary-install/libtheora-dev::
	rm -f $(DEB_BUILDDIR)/debian/libtheora-dev/usr/share/doc/libtheora-dev/doxygen-build.stamp

binary-install/libtheora-bin::
	for i in $(DEB_BUILDDIR)/debian/libtheora-bin/usr/bin/*; do strip -s $$i; mv $$i $(DEB_BUILDDIR)/debian/libtheora-bin/usr/bin/theora_`basename $$i`; done

clean::
	rm -f mkinstalldirs debian/stamp/autotools-files Makefile.in aclocal.m4 configure doc/Makefile.in examples/Makefile.in include/Makefile.in include/theora/Makefile.in lib/Makefile.in debian/Makefile.in
	$(MAKE) -f debian/rules reverse-config

=== debian/watch ===
version=3
opts="uversionmangle=s/([0-9])(alpha|beta)/$1~$2/" \
http://downloads.xiph.org/releases/theora/libtheora-([0-9].*)\.tar\.gz debian uupdate

## libtheora 1.1beta3.tk1

=== debian/changelog ===
libtheora (1.1beta3.tk1) unstable; urgency=low

  * New upstream release: 1.1beta3

 -- Tuomas Kulve <tuomas@kulve.fi>  Sat, 19 Sep 2009 15:58:18 +0300

=== debian/rules ===
--- 
+++ 
@@ -4,24 +4,9 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/buildcore.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-encode --disable-examples \
+DEB_CONFIGURE_EXTRA_FLAGS = --disable-examples \
 			--disable-oggtest --disable-vorbistest \
-			 --disable-sdltest --disable-float
-
-# Use vfp.
-ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp
-endif
-
-# Use softfp.
-ifneq (,$(findstring softfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfloat-abi=softfp
-endif
-
-# Use arm1136j-s.
-ifneq (,$(findstring arm1136j-s,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mcpu=arm1136j-s
-endif
+			 --disable-sdltest --disable-float \
 
 common-configure-arch common-configure-indep:: debian/stamp-autotools-files
 debian/stamp-autotools-files:

## libtheora 1.1.1%2Bdfsg.1

=== debian/changelog ===
libtheora (1.1.1+dfsg.1-16.1+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 17 Jul 2023 20:12:53 +0000

libtheora (1.1.1+dfsg.1-16.1) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * debian/libtheora-doc.examples: do not install example Makefile as it leaks
    the build path. Closes: #990843 - thanks to Vagrant Cascadian for the
    patch.
  * debian/rules: ensure texlive respects SOURCE_DATE_EPOCH, thanks again to
    Vagrant for the patch. Closes: #990844

 -- Holger Levsen <holger@debian.org>  Thu, 06 Oct 2022 19:18:29 +0200

libtheora (1.1.1+dfsg.1-16) unstable; urgency=medium

  * Team upload.

  [ Florian Schlichting ]
  * Drop autoreconf from dh call, obsolete at this compat level

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Apply multi-arch hints. + libtheora-doc: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Dennis Braun ]
  * Update rules, no need to override dh_strip anymore

  [ Boyuan Yang ]
  * debian/control: Unify comma in build-dep list.
  * debian/: Apply wrap-and-sort -abst.
  * Drop useless build-deps: dpkg, automake, libtool, devscripts,
    texlive-fonts-recommended. (Closes: #981655)
  * debian/control: Bump Standards-Version to 4.6.1.
  * Apply patch from Ubuntu:

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly.
  * Better autopkgtest support:
    - we need the target valgrind on cross-testing, not the testbed
      valgrind.
    - fix the compile test to use the right paths.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Jun 2022 09:41:32 -0400

libtheora (1.1.1+dfsg.1-15) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Florian Schlichting ]
  * Set Maintainer address to Debian Multimedia Maintainers (closes: #899589)
  * Use secure URIs for xiph.org and theora.org
  * Update d/copyright to copyright-format 1.0
  * Bump dh compat to level 12
  * Enable all hardening build flags
  * Use Files-Excluded field instead of README.source for automatic repacking
  * Add Build-Depends-Package field to symbols file
  * Transition to automatic dbgsym package
  * Build-depend on libvorbis-dev only once
  * Adjust doc-base paths to policy-recommended doc-main-package
  * Declare compliance with Debian Policy 4.3.0

 -- Florian Schlichting <fsfs@debian.org>  Sun, 24 Feb 2019 22:58:12 +0100

libtheora (1.1.1+dfsg.1-14) unstable; urgency=medium

  * Add libvorbis-dev as build and test dependency to get all required
    headers installed.
  * Drop quilt from build dependencies and dh call.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 May 2016 08:39:40 +0200

libtheora (1.1.1+dfsg.1-13) unstable; urgency=medium

  * Added build-essential to the test dependencies, to make sure compilation
    of test program is possible.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 May 2016 09:02:16 +0200

libtheora (1.1.1+dfsg.1-12) unstable; urgency=medium

  * Added missing libcairo2-dev as build dependency.  Needed by
    telemetry code.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 May 2016 14:46:32 +0200

libtheora (1.1.1+dfsg.1-11) unstable; urgency=medium

  * Adjust autopkgtest setup, allow output from stderr to work with 'set -x'.
  * Added valgrind as autopkgtest dependency to get more details if
    something fail.
  * Fix typo in autopkgtest control file.  No comma between test names.
  * Enable telemetry support for those that need it (LP: #627854).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 May 2016 12:11:48 +0200

libtheora (1.1.1+dfsg.1-10) unstable; urgency=medium

  * Extend autopkgtest scripts a bit, and test example binaries too.
  * Add gbp setup to enforce the use of pristine-tar.
  * Changed Standards-Version from 3.9.6 to 3.9.8
  * Set CONFIG_SHELL=/bin/sh in d/rules to make build reproducible.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 May 2016 23:33:59 +0200

libtheora (1.1.1+dfsg.1-9) unstable; urgency=medium

  * Added Ralph Giles as uploader.
  * Added simple autopkgtest script to verify that building and linking work.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 May 2016 15:22:49 +0200

libtheora (1.1.1+dfsg.1-8) unstable; urgency=medium

  * Fix arch-independent build. (Closes: #806063)
  * Drop unused build dependency python, to make it easier to
    cross-build package.  (Closes: #794591)
  * Acknowledge 1.1.1+dfsg.1-7.1 NMU. (Closes: #812478)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 07 Feb 2016 10:51:32 +0000

libtheora (1.1.1+dfsg.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng16 (Closes: #809949)
  * Drop python from B-D for easier cross building (Closes: #794591)

 -- Tobias Frost <tobi@debian.org>  Sat, 23 Jan 2016 18:44:30 +0100

libtheora (1.1.1+dfsg.1-7) unstable; urgency=low

  [ Martin Steghöfer ]
  * Tag existing patches properly and use git-buildpackage patch queue
    for all our patches.
  * Fix FTBFS with new LaTeX.
    Thanks to Ralph Giles (Closes: #790442)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 12:24:50 +0200

libtheora (1.1.1+dfsg.1-6) unstable; urgency=low

  [ Martin Steghöfer ]
  * Add missing -lm to player-example.  Thanks to Simon
    McVittie (Closes: #768685)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Nov 2014 14:46:22 +0100

libtheora (1.1.1+dfsg.1-5) unstable; urgency=low

  * Switch to source format 3.0 (quilt).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2014 15:17:50 +0200

libtheora (1.1.1+dfsg.1-4) unstable; urgency=low

  [ Martin Steghöfer ]
  * Updated VCS meta information to list git repository.

  [ Petter Reinholdtsen ]


## libtheora 1.1.1+dfsg.1

=== debian/changelog ===
libtheora (1.1.1+dfsg.1-16.1+deb12u1) bookworm; urgency=medium

  * Team upload.

  * Added patches fixing issues found using GCC sanitize.
  * Acknowledge NMU 1.1.1+dfsg.1-16.1.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Jun 2025 09:09:19 +0200

=== debian/control ===
Source: libtheora
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Martin Steghöfer <martin@steghoefer.eu>,
 Ralph Giles <giles@thaumas.net>,
Build-Depends:
 debhelper-compat (= 13),
 doxygen,
 libcairo2-dev,
 libogg-dev,
 libpng-dev,
 libsdl1.2-dev,
 libvorbis-dev,
 pkg-config,
Build-Depends-Indep:
 ghostscript,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 transfig,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/libtheora.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libtheora
Homepage: https://www.theora.org/

Package: libtheora-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Theora Video Compression Codec (example encoder, decoder)
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains a reference implementation of an encoder and a
 decoder.

Package: libtheora-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libogg-dev,
 libtheora0 (= ${binary:Version}),
 ${misc:Depends},
Description: Theora Video Compression Codec (development files)
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains the header files needed to develop applications
 with libtheora.

Package: libtheora-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 libtheora-dev,
Description: Theora Video Compression Codec (documentation)
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains the documentation about the format and programming.

Package: libtheora0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Theora Video Compression Codec
 Theora is an open video codec being developed by the Xiph.org Foundation as
 part of their Ogg project. Theora is originally derived from On2's VP3 codec,
 and has improved on it significantly with the merging of code from the
 Thusnelda branch.

=== debian/rules ===
#!/usr/bin/make -f

CONFIG_SHELL = /bin/sh
export CONFIG_SHELL
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure texlive respects SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE=1

%:
	dh $@

# Enable Telemetry debugging information (LP: #627854), see
# <URL: https://people.xiph.org/~xiphmont/demo/theora/demo2.html >
override_dh_auto_configure:
	dh_auto_configure -- --enable-telemetry

override_dh_install-arch:
	dh_install
	for i in debian/libtheora-bin/usr/bin/*; do \
		mv $$i debian/libtheora-bin/usr/bin/theora_`basename $$i`; \
	done

override_dh_installdocs:
	dh_installdocs README AUTHORS

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -i -f -I m4

=== debian/tests/control ===
Tests: test-simple-build-link test-binaries
Depends:
 build-essential,
 debconf,
 libvorbis-dev,
 valgrind,
 @,
Restrictions: allow-stderr
